//+------------------------------------------------------------------+
//|                                                          .mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property strict

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
extern int  MaxRisk         = 50;    //--   "%"  
extern int  Corner          = 2;
double fr=0;
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
    ObjectCreate ("Lot",OBJ_LABEL,0,0,0,0,0,0,0);
     ObjectSetText("Lot", "", 10, "Times New Roman",  Red);
     ObjectSet("Lot", OBJPROP_CORNER,Corner);
     ObjectSet("Lot", OBJPROP_XDISTANCE,50);
     ObjectSet("Lot", OBJPROP_YDISTANCE,20);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("Lot");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
  int start()
  {
   int    counted_bars=IndicatorCounted();
  //--- -----------------------------------------
   
	double Free =AccountFreeMargin();
	if(fr!=Free)
	{
	fr=Free;
   double One_Lot =MarketInfo(Symbol(),MODE_MARGINREQUIRED);
   double Step =MarketInfo(Symbol(),MODE_LOTSTEP);
   double Min_Lot =MarketInfo(Symbol(),MODE_MINLOT);
   double Max_Lot =MarketInfo(Symbol(),MODE_MAXLOT);
   double Lot =MathFloor(Free*MaxRisk/100/One_Lot/Step)*Step;
   if(Lot<Min_Lot) Lot=0.00;
   if(Lot>Max_Lot) Lot=Max_Lot;
//   if(LotRisk>0)

    ObjectSetText("Lot","Lot  "+DoubleToStr(MaxRisk,0)+"%="+DoubleToStr( Lot,2), 12, "Times New Roman", Red);
    }
    return(0);
  }
//+------------------------------------------------------------------+